<template>
  <div class="overview">
    <div class="title">
      <span>数据资源池</span>
      <img src="../../../assets/img/zonlan (9).png" alt="" />
    </div>
    <div class="table">
      <div v-for="(item, i) in demoArray" class="dataManage" :key="i">
        <div style="background: rgba(0, 0, 0, 0.2)">
          <li>{{ item.value }}</li>
        </div>
        <p>{{ item.name }}</p>
      </div>
    </div>
  </div>
</template>

<script>
import {
  constructionData,
  selGxbmslCouData,
  selGxsjzlCouData,
  selGxTgbmslCouData,
} from "../../../utils/api.js";
export default {
  //import引入的组件需要注入到对象中才能使用
  components: {},
  data() {
    //这里存放数据
    return {
      demoArray: [
        { name: "统筹部门数", value: "" },
        { name: "统筹资源目录数", value: "" },
        { name: "统筹数据总量", value: "" },
        { name: "数据共享提供部门数量", value: "" },
        { name: "数据共享接收部门数量", value: "" },
        { name: "共享数据总量", value: "" },
        { name: "监控整合部门数量", value: "" },
        { name: "监控整合数量", value: "" },
      ],
      param: {
        TYPE: 1,
      },
      param1: {
        TYPE: 5,
      },
      param2: { TYPE: 8 },
      dataVolume: {
        ZSJL: "",
        fjg: "",
        sjxsum: "",
        bmsum: "",
        selGxbmslCouLength: "",
        selGxsjzlCouLength: "",
        spzs: "",
        spzhbmsl: "",
      },
    };
  },
  //方法集合
  methods: {
    async construction() {
      let { data: dt } = await constructionData(this.param);
      let { data: dt1 } = await constructionData(this.param1);
      let { data: dt2 } = await selGxbmslCouData();
      let { data: dt3 } = await selGxsjzlCouData();
      let { data: dt4 } = await selGxTgbmslCouData();
      let { data: dt5 } = await constructionData(this.param2);
      // if (dt.errno !== 200) {
      //   return this.$message.error(dt.errmsg);
      // }
      // if (dt1.errno !== 200) {
      //   return this.$message.error(dt1.errmsg);
      // }

      this.demoArray.forEach((e) => {
        if (e.name == "统筹部门数") {
          e.value = dt.pd.bmsum;
          e.value = `${e.value}`;
        }
        if (e.name == "统筹资源目录数") {
          e.value = dt.pd.sjxsum;
        }
        if (e.name == "统筹数据总量") {
          e.value = dt1.pd.ZSJL.substr(0, dt1.pd.ZSJL.length - 4);
          e.value = `${e.value}万`;
        }
        if (e.name == "数据共享提供部门数量") {
          e.value = dt2.varList.length;
        }
        if (e.name == "数据共享接收部门数量") {
          e.value = dt4.varList.length;
        }
        if (e.name == "共享数据总量") {
          e.value = dt5.pd.YYSY;
        }
        if (e.name == "监控整合部门数量") {
          e.value = dt.pd.spzhbmsl;
        }
        if (e.name == "监控整合数量") {
          e.value = dt.pd.spzs;
        }
      });
    },
  },

  created() {
    this.construction();
  },
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.overview {
  overflow: hidden;
  width: 100%;
  // height: calc(33.33vh - 189px);
  //margin-top: 40px;
  box-sizing: border-box;

  .title {
    width: 100%;
    position: relative;

    img {
      width: 100%;
    }

    span {
      font-size: 78px;
      font-weight: 400;
      color: #ffe86b;
      background: linear-gradient(0deg, #bce7ff 0%, #69efff 98.6572265625%);
      -webkit-background-clip: text;
      -webkit-text-fill-color: transparent;
      position: absolute;
      left: 50%;
      top: 0;
      transform: translateX(-50%);
    }
  }

  .dataManage {
    color: white;
    float: left;
    font-size: 40px;
    width: 21%;
    text-align: center;
    background: #0a2a52;
    margin: 1%;
    p {
      padding: 5%;
      font-size: 40px;
    }
    li {
      padding: 5%;
      font-size: 90px;
      font-weight: bold;
      color: #ffba00;
      line-height: 86px;
      opacity: 0.9;
      background: linear-gradient(0deg, #ffaa15 0.6103515625%, #fff600 100%);
      -webkit-background-clip: text;
      -webkit-text-fill-color: transparent;
    }
  }
}

@media only screen and (max-width: 2560px) {
  .overview {
    margin-bottom: 80px;
    .dataManage {
      width: 23%;
    }
  }
}
</style>
